# Class Poisson

java.lang.Object
ecoparasite.poisson.Poisson

Direct Known Subclasses:
  `Mackerel, MackerelSerra, Merlu`

public class Poisson extends Object
Classe générique pour un individu Poisson. Des types hérités plus précis, notamment pour le parsing sont disponibles dans le même paquet.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected HashSet<PartiePoisson>`
  `fishParts`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Poisson(String id, Double length, Double weight, Double infestation)`
  Constructeur de l'objet Poisson

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HashSet<PartiePoisson>`
  `getFishParts()`
  Getter de l'attribut des parties de poisson.
  `String`
  `getId()`
  Getter de l'attribut Id
  `Double`
  `getInfestation()`
  Getter de l'attribut infestation
  `Double`
  `getLength()`
  Getter de l'attribut length
  `Double`
  `getWeight()`
  Getter de l'attribut weight
  `void`
  `setFishParts(HashSet<PartiePoisson> fishParts)`
  Setter de l'attribut des parties de poisson.
  `void`
  `setInfestation(Double infestation)`
  Setter de l'attribut infestation
  `String`
  `toString()`
  Permet d'afficher les informations de notre poisson

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### fishParts

    protected HashSet<PartiePoisson> fishParts

- ## Constructor Details

  - ### Poisson

    public Poisson(String id, Double length, Double weight, Double infestation)
    Constructeur de l'objet Poisson
    Parameters:
      `id` - Une String representant l'espece du poisson
      `length` - Un Wrapper Double representant la longueur/taille du poisson
      `weight` - Un Wrapper Double representant le poids du poisson
      `infestation` - Un Wrapper Double representant le taux de parasite du poisson

- ## Method Details

  - ### getId

    public String getId()
    Getter de l'attribut Id
    Returns:
      La string de l'attribut Id

  - ### getLength

    public Double getLength()
    Getter de l'attribut length
    Returns:
      Le Double de l'attribut length

  - ### getWeight

    public Double getWeight()
    Getter de l'attribut weight
    Returns:
      Le Double de l'attribut weight

  - ### getInfestation

    public Double getInfestation()
    Getter de l'attribut infestation
    Returns:
      Le Double de l'attribut infestation

  - ### getFishParts

    public HashSet<PartiePoisson> getFishParts()
    Getter de l'attribut des parties de poisson.
    Returns:
      Le HashSet des parties de poisson.

  - ### setInfestation

    public void setInfestation(Double infestation)
    Setter de l'attribut infestation
    Parameters:
      `infestation` - le Double de la nouvelle valeur de l'infestation

  - ### setFishParts

    public void setFishParts(HashSet<PartiePoisson> fishParts)
    Setter de l'attribut des parties de poisson.
    Parameters:
      `fishParts` - Un hashset de parties de poisson.

  - ### toString

    public String toString()
    Permet d'afficher les informations de notre poisson
    Overrides:
      `toString` in class `Object`
    Returns:
      La string contenant les informations